search: Search for projects to administrate them

API: sonarcloud.io:sonarqube
Endpoint: /api/projects/search
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 127ms

Description

Search for projects to administrate them. Requires 'System Administrator' permission

Parameters (8)

analyzedBefore (string, query, optional)

Filter the projects for which last analysis is older than the given date (exclusive). Either a date (server timezone) or datetime can be provided.

onProvisionedOnly (string, query, optional, default: false)

Filter the projects that are provisioned

Constraints: {'enum': ['true', 'false', 'yes', 'no']}

organization (string, query, required)

The key of the organization

p (string, query, optional, default: 1)

1-based page number

projects (string, query, optional)

Comma-separated list of project keys

ps (string, query, optional, default: 100)

Page size. Must be greater than 0 and less or equal than 500

q (string, query, optional)

Limit search to: - component names that contain the supplied string- component keys that contain the supplied string

qualifiers (string, query, optional, default: TRK)

No longer used

Constraints: {'enum': ['TRK']}

Examples (1)

Search for projects to administrate them openapi-spec
curl 'https://sonarcloud.io/api/projects/search?analyzedBefore=2017-10-19+or+2017-10-19T13%3A00%3A00%2B0200&p=42&projects=my_project%2Canother_project&ps=20&q=sonar'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/projects/search",
    params={
        'analyzedBefore': '2017-10-19 or 2017-10-19T13:00:00+0200',
        'p': '42',
        'projects': 'my_project,another_project',
        'ps': '20',
        'q': 'sonar',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/projects/search", analyzedBefore="2017-10-19 or 2017-10-19T13:00:00+0200", p=42, projects="my_project,another_project", ps=20, q="sonar")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/projects/search?analyzedBefore=2017-10-19+or+2017-10-19T13%3A00%3A00%2B0200&p=42&projects=my_project%2Canother_project&ps=20&q=sonar");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:46:59.429307 400 127ms
2026-04-15 03:49:11.020710 400 141ms
2026-04-14 00:32:34.927230 400 155ms
2026-04-12 13:42:43.171192 400 119ms
2026-04-10 02:56:05.845166 400 118ms
2026-04-09 00:44:47.776698 400 406ms